CoefBigTermConsumer Class Referenceabstract

`#include <CoefBigTermConsumer.h>`

Inheritance diagram for CoefBigTermConsumer:

## Public Member Functions

virtual void | consumeRing (const VarNames &names)=0
virtual void | beginConsuming ()=0
virtual void | consume (const mpz_class &coef, const Term &term)
virtual void | consume (const mpz_class &coef, const Term &term, const TermTranslator &translator)=0
virtual void | consume (const mpz_class &coef, const vector< mpz_class > &term)=0
virtual void | doneConsuming ()=0
virtual void | consume (const BigPolynomial &poly)
Public Member Functions inherited from CoefTermConsumer
virtual | ~CoefTermConsumer ()
virtual void | consume (const Polynomial &poly)

## Detailed Description

Definition at line 29 of file CoefBigTermConsumer.h.

## Member Function Documentation

## beginConsuming()

virtual void CoefBigTermConsumer::beginConsuming | ( |  | ) |

pure virtual

Implements CoefTermConsumer.

Implemented in CoefBigTermRecorder, ExternalPolynomialConsumerWrapper, IO::PolyWriter, NullCoefTermConsumer, PolynomialConsolidator, and TranslatingCoefTermConsumer.

## consume() [1/4]

void CoefBigTermConsumer::consume | ( | const BigPolynomial & | poly | ) |

virtual

Reimplemented in IO::PolyWriter, NullCoefTermConsumer, PolynomialConsolidator, and TranslatingCoefTermConsumer.

Definition at line 33 of file CoefBigTermConsumer.cpp.

## consume() [2/4]

void CoefBigTermConsumer::consume | ( | const mpz_class & | coef,
|  | const Term & | term )

virtual

Implements CoefTermConsumer.

Reimplemented in NullCoefTermConsumer, and TranslatingCoefTermConsumer.

Definition at line 25 of file CoefBigTermConsumer.cpp.

## consume() [3/4]

virtual void CoefBigTermConsumer::consume | ( | const mpz_class & | coef,
|  | const Term & | term,
|  | const TermTranslator & | translator )

pure virtual

Implemented in CoefBigTermRecorder, ExternalPolynomialConsumerWrapper, IO::PolyWriter, NullCoefTermConsumer, PolynomialConsolidator, and TranslatingCoefTermConsumer.

## consume() [4/4]

virtual void CoefBigTermConsumer::consume | ( | const mpz_class & | coef,
|  | const vector< mpz_class > & | term )

pure virtual

Implemented in CoefBigTermRecorder, ExternalPolynomialConsumerWrapper, IO::PolyWriter, NullCoefTermConsumer, PolynomialConsolidator, and TranslatingCoefTermConsumer.

## consumeRing()

virtual void CoefBigTermConsumer::consumeRing | ( | const VarNames & | names | ) |

pure virtual

Implements CoefTermConsumer.

Implemented in CoefBigTermRecorder, ExternalPolynomialConsumerWrapper, IO::PolyWriter, NullCoefTermConsumer, PolynomialConsolidator, and TranslatingCoefTermConsumer.

## doneConsuming()

virtual void CoefBigTermConsumer::doneConsuming | ( |  | ) |

pure virtual

Implements CoefTermConsumer.

Implemented in CoefBigTermRecorder, ExternalPolynomialConsumerWrapper, IO::PolyWriter, NullCoefTermConsumer, PolynomialConsolidator, and TranslatingCoefTermConsumer.

The documentation for this class was generated from the following files:

- src/CoefBigTermConsumer.h
- src/CoefBigTermConsumer.cpp